# This is a snapshot of the BCEL trunk for FindBugs 3.0.

%global findbugsver 20140707svn1547656

Name:           findbugs-bcel
Version:        6.0
Release:        %mkrel 0.10.%{findbugsver}.4
Summary:        Byte Code Engineering Library for FindBugs

Group:          Development/Java
License:        ASL 2.0
URL:            http://commons.apache.org/proper/commons-bcel/

# This archive was created with:
#   $ svn export http://svn.apache.org/repos/asf/commons/proper/bcel/trunk -r 1547656 bcel-6.0
#   $ tar -zcf bcel-20140707svn1547656.tgz bcel-6.0
Source0:        bcel-%{findbugsver}.tgz
Source1:        http://central.maven.org/maven2/com/google/code/findbugs/bcel-findbugs/%{version}/bcel-findbugs-%{version}.pom

# Add temporary dependency on javapackages-local, for %%add_maven_depmap macro
# See https://lists.fedoraproject.org/archives/list/java-devel@lists.fedoraproject.org/thread/R3KZ7VI5DPCMCELFIVJQ4AXB2WQED35C/
BuildRequires:  javapackages-local

BuildRequires:  java-devel
Requires:       java-headless

BuildArch:      noarch

%description
This is a snapshot of Apache's Byte Code Engineering Library (BCEL) for use
with FindBugs 3.0.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
%{summary}.

%prep
%setup -q -n bcel-%{version}

%build
mkdir classes
find src/main/java -type f -name '*.java' | \
xargs javac -g -d classes -source 1.8 -target 1.8 -encoding ISO8859-1
cd classes
jar cf findbugs-bcel.jar org
cd ..

mkdir javadoc
find src/main/java -type f -name '*.java' | xargs javadoc -sourcepath src/main/java \
  -classpath classes -source 1.8 -encoding ISO8859-1 -d javadoc -Xdoclint:none

%install

mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 %{buildroot}%{_mavenpomdir}
cp -p classes/findbugs-bcel.jar $RPM_BUILD_ROOT%{_javadir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "com.google.code.findbugs:bcel"

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}
cp -a javadoc $RPM_BUILD_ROOT%{_javadocdir}/findbugs-bcel

%pretrans javadoc -p <lua>
path = "%{_javadocdir}/%{name}"
st = posix.stat(path)
if st and st.type == "link" then
  os.remove(path)
end

%files -f .mfiles
%doc NOTICE.txt README.txt
%license LICENSE.txt

%files javadoc
%doc NOTICE.txt
%license LICENSE.txt
%{_javadocdir}/findbugs-bcel*




%changelog
* Fri Sep 11 2020 daviddavid <daviddavid> 6.0-0.10.20140707svn1547656.4.mga8
+ Revision: 1624343
- Enable building with JDK 11: use source/target 1.8
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 6.0-0.10.20140707svn1547656.3.mga8
+ Revision: 1501384
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 6.0-0.10.20140707svn1547656.2.mga7
+ Revision: 1278235
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 daviddavid <daviddavid> 6.0-0.10.20140707svn1547656.1.mga7
+ Revision: 1168263
- Add temporary dependency on javapackages-local, for %%add_maven_depmap macro
- Remove unnecessary Group: tags

* Wed Mar 02 2016 neoclust <neoclust> 6.0-0.5.20140707svn1547656.2.mga6
+ Revision: 982327
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 6.0-0.5.20140707svn1547656.1.mga6
+ Revision: 977181
- sync package findbugs-bcel with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 27 2014 pterjan <pterjan> 6.0-0.1.20140707svn1547656.1.mga5
+ Revision: 806704
- Sync with Fedora 21 (update to new snapshot)

* Wed Oct 15 2014 umeabot <umeabot> 5.3-0.1.20130910svn1521566.3.mga5
+ Revision: 743298
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.3-0.1.20130910svn1521566.2.mga5
+ Revision: 679196
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 dmorgan <dmorgan> 5.3-0.1.20130910svn1521566.1.mga4
+ Revision: 565034
- New version

* Fri Oct 18 2013 umeabot <umeabot> 5.2-0.1.3.8.8.mga4
+ Revision: 505176
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 dmorgan <dmorgan> 5.2-0.1.3.8.7.mga3
+ Revision: 352481
- Clean spec file
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 21 2011 dmorgan <dmorgan> 1.3.9-1.mga2
+ Revision: 157165
- Fix group
+ gil <gil>
- added new maven2 poms

* Mon Jun 27 2011 gil <gil> 1.3.9-0.mga2
+ Revision: 114814
- imported package findbugs-bcel


* Mon Jun 27 2011 gil <gil> 1.3.9-0.%%mkrel
- initial rpm